> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisdata.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity Book

> OTA_TourActivityBookRQ Playground

Use this message to book an available activity.

<Tip>   Find all the necessary information regarding the request message [here](../../../excursion/bookXARQ)</Tip>

***

<Warning> The endpoint (url) shown in the code snippet is for Sandbox only. If you need to throw the requests from Postman or other tools, please use [https://sintesb.axisdata.net/apu-test/ota](https://sintesb.axisdata.net/apu-test/ota) after whitelisting your IPs. More info at [Access to our Systems](../../../authentication/access)</Warning>


## OpenAPI

````yaml POST /activitybook
openapi: 3.0.3
info:
  title: Hotel Availability API
  version: 1.0.0
servers:
  - url: https://ota-int.axisdata.net:9443
    description: Gateway endpoint
security: []
paths:
  /activitybook:
    post:
      summary: OTA Activity Booking Request
      description: OTA_TourActivityBookRQ Playground
      requestBody:
        required: true
        content:
          application/xml:
            schema:
              $ref: '#/components/schemas/OTA_TourActivityBookRQ'
      responses:
        '200':
          description: Success
          content:
            application/xml:
              schema:
                type: string
components:
  schemas:
    OTA_TourActivityBookRQ:
      type: string
      format: xml
      default: >-
        <OTA_TourActivityBookRQ Version="2011.2" ResStatus="Quote"
        xmlns="http://www.opentravel.org/OTA/2003/05">
          <POS>
            <Source>
              <RequestorID ID="TEST" ID_Context="AxisData" Type="22" Instance="PriceBreakdown"/>
            </Source>
            <Source>
              <RequestorID Type="88" ID="TEST" MessagePassword="testpass"/>
            </Source>
          </POS>
          <BookingInfo>
            <BasicInfo TourActivityID="XESPMI5L4U" SupplierProductCode="SS0HDBT0" SupplierServiceCode="TRF"/>
            <ParticipantInfo>
              <Category QualifierInfo="10"/>
              <Individual Age="36" ParticipantID="1">
                <GivenName>Bender</GivenName>
                <NamePrefix>Mr</NamePrefix>
                <Surname>Bending</Surname>
              </Individual>
            </ParticipantInfo>
            <ParticipantInfo>
              <Category QualifierInfo="10"/>
              <Individual Age="32" ParticipantID="2">
                <GivenName>Angeline</GivenName>
                <NamePrefix>Ms</NamePrefix>
                <Surname>Bending</Surname>
              </Individual>
            </ParticipantInfo>
            <Schedule Start="2029-07-20T09:30:00" End="2029-07-20T17:30:00"/>
            <PickupDropoff DateTime="2029-07-20T09:00:00" LocationName="AESPMI5L46" PickupInd="true"/>
          </BookingInfo>
          <TPA_Extensions>
            <UniqueID Type="36" ID="test_xxx" ID_Context="Client"/>
            <UniqueID Type="37" ID="test_xxx_ex1" ID_Context="Client"/>
          </TPA_Extensions>
        </OTA_TourActivityBookRQ>

````